ros-kinetic-rviz-visual-tools (3.6.0-0jessie) jessie; urgency=high

  * Addresses Issue #49 - Default Constructor Not Nodelet Friendly
  * Added option to pass in a node handle in the constructor that defaults to
  * Reset marker should publish initialized quaternion
  * Improve code quality - add const, static, C++11 features, clang-format
  * Create demo executable for IMarkerSimple
  * Improve memory efficiency of functions
  * Contributors: Dave Coleman, Geoffrey Chiou, Victor Lamoine

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 15 Jan 2018 07:00:00 -0000

ros-kinetic-rviz-visual-tools (3.5.1-0jessie) jessie; urgency=high

  * Normalize quaternion before storage
  * Fix for ambiguous function call to publishAxis
  * Add linking to visualization tools library for imarker_simple
  * Added arrow pub to take two points
  * Document clang-tidy
  * catkin lint
  * roslint applied
  * Clang-format again
  * Clang-tidy ALL
  * C++11 optimizations
  * Fix deprecated calls to convertFromXYZRPY
  * Add new convertPoseSafe() function
  * New convertFromXYZRPY() function to avoid deprecation warning
  * Allow to enable frame locking in the markers/markers arrays
  * Update license year
  * IMarkerSimple: set name and pose
  * New printTransformFull() function
  * Removed deprecated warning
  * New class for easily using 6dof imarkers
  * More options to tf_visual_tools
  * Update README.md
  * Contributors: Andy McEvoy, Dave Coleman, Fadri Furrer, Victor Lamoine

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 25 Dec 2017 07:00:00 -0000

ros-kinetic-rviz-visual-tools (3.4.1-0jessie) jessie; urgency=high

  * Add dependency on QT5 for Ubuntu Zesty/Lunar support
  * Allow publishPath with std_msgs::ColorRGBA
  * Make INFO msg DEBUG
  * Contributors: Dave Coleman, Victor Lamoine

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 20 Jun 2017 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.4.0-0jessie) jessie; urgency=high

  * Consolidated publishing into RemoteReciever class
  * Improve console output
  * Add RvizGui and KeyTool
  * Enable remote control from withing rviz_visual_tools
  * New publishPath() function
  * Shorten number of lines printTranslation() requires
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Nov 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.3.0-0jessie) jessie; urgency=high

  * BREAKING CHANGE: Make batch publishing enabled by default
  * Removed enableInternalBatchPublishing()
  * Removed triggerInternalBatchPublishAndDisable()
  * Deprecated triggerBatchPublish() in favor of function name trigger()
  * Deprecated triggerBatchPublishAndDisable()
  * Ability to trigger every x markers that are in queue, ideal in for loops
  * New waitForMarkerPub() function that takes timeout
  * Add std::move
  * Added Docker for Kinetic
  * Added delay to demo to allow rviz to load in Docker
  * Change the sphere marker type from SPHERE_LIST to SPHERE - This makes irregularly scaled spheres (i.e. ellipsoids) to be rendered correctly.
  * Contributors: Dave Coleman, Miguel Prada

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 28 Sep 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.2.0-0jessie) jessie; urgency=high

  * Catkin depend on eigen and tf conversions
  * New warning
  * Added EulerConvention enum
  * Added new convertFromXYZRPY() function
  * Added new tests
  * Contributors: Dave Coleman, Enrique Fernandez

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 14 Jul 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.1.0-0jessie) jessie; urgency=high

  * Switched publishPath() to use cylinders
  * Added new publishLineStrip() function
  * Added new publishPath() functions
  * Added new publishAxis() functions
  * Update screenshot
  * Broke publishPath() API for recent addition - incorrect Eigen vector used
  * New publishPath() function for Affine3d
  * New publishAxis() functions that use scale
  * New publishAxisInternal() function for more efficient publishing
  * New publishAxisPath() function for showing a series of coordinate axis
  * Added warning for batch publishing when not enabled
  * Bug fix in publishLines() for id incrementing
  * New scaleToString() function
  * Bug fix for scaling in coordinate axis
  * Improved demo to have multiple scales visualized
  * Revert "Remove graph msgs"
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 06 Jul 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.0.0-0jessie) jessie; urgency=high

  * Improve Travis script
  * Upgrade to Eigen3 per ROS Kinetic requirements
  * New screenshot
  * Refactored entire scaling method - all sizes of shapes have been affected
  * Renamed scales
  * Removed const reference for primitive types in function headers
  * Cleaned up getScale() function
  * New publishSpheres function
  * Two new tests & screenshot
  * Deprecated size REGULAR
  * Number scale sizes
  * New intToRvizScale() function
  * New publishSpheres() functions for showing list of lines AND colors
  * New publishLines() functions for using LINE_LIST
  * New publishCylinder() function that uses scales
  * Bug fix for getVectorBetweenPoints() when vector is all zeros
  * New printTranslation() function
  * added intToRvizColor() for interfaces that do not directly depend on Rviz Visual Tools, such as OMPL
  * publishPath with vector of colors
  * Update demo
  * New variant of publishPath with vector of colors
  * New publishSphere() helper
  * Add eigen_stl_containers
  * Add missing breaks in switch statement
  * Add namespace to ease debugging ROS messages
  * Do not pass Eigen structures by value
  * Fix all vector<Eigen> to EigenSTL::vector_Vector3d as recommended by @VictorLamoine
  * Hide upstream package cast warning
  * Overload new operator for Eigen structures
  * Changing the angles will change the opening angle of the cone
  * Better way to turn on C++11, maybe?
  * Removed deprecated code for Kinetic
  * Began converting to C++11
  * Fix dead link to the documentation
  * New waitForMarkerPub() function
  * Fix bug in waitForSubscriber() introduced in previous commit
  * Added blocking constraint option in function waitForSubscriber
  * New publishLine() variant
  * ID for publishing rectangles
  * Optimize clearing and resizing vectors
  * Increase random color sampling attempts
  * Move variable declaration
  * Latched publisher
  * publishAxisLabeled arguments
  * Include path, boost typedef and class name are now up to date with the code.
  * New publishLine() variant
  * Optional latched publisher
  * ID for publishing rectangles
  * Optimize clearing and resizing vectors
  * Increase random color sampling attempts
  * Move variable declaration
  * publishAxisLabeled arguments order
  * Adds Publish Labeled Axis
  * Contributors: Abhijit Makhal, Dave Coleman, Naveed Usmani, Sow Papa Libasse, Victor Lamoine

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 29 Jun 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (2.2.0-0jessie) jessie; urgency=high

  * Created much better demo, added new screenshot
  * Numbered colors so that they can be matched in OMPL
  * New publishLine() function variants
  * Psychedelic mode
  * Prevent publishing empty marker arrays
  * Improved warning and error correction
  * New publishSphere function
  * Ability to set marker topic after constructor
  * Ability to force waiting for topic to connect
  * Added new posesEqual() function
  * Updated publishArrow() function
  * New publishPath function
  * New publishLine function
  * New publishCylinder that accepts two points
  * New publishText function
  * Removed redundant namespace names
  * New convertPointToPose function
  * Reduced output
  * Renamed line_marker_ to line_strip_marker_
  * Faster method for waiting for subscriber thread
  * Untested publishPath() modification
  * Fix to correctly use optional alpha color property
  * Change getColorScale to work from 0->1 instead of 0->100
  * Additional parameters to publishCuboid()
  * New color scale function for generated interpolated colors from RED->GREEN (1->100)
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 28 Apr 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (2.1.0-0jessie) jessie; urgency=high

  * Allow publishArrow functions to specify ID
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 09 Feb 2016 07:00:00 -0000

ros-kinetic-rviz-visual-tools (2.0.3-0jessie) jessie; urgency=high

  * Renamed test to demo
  * Fix bug in random number generator
  * Noted a TODO
  * Documentation
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 10 Jan 2016 07:00:00 -0000

ros-kinetic-rviz-visual-tools (2.0.2-0jessie) jessie; urgency=high

  * Formatting
  * Removed unused var
  * roslint fixes
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 27 Dec 2015 07:00:00 -0000

ros-kinetic-rviz-visual-tools (2.0.1-0jessie) jessie; urgency=high

  * catkin lint cleanup
  * Updated travis badge
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 07:00:00 -0000

ros-kinetic-rviz-visual-tools (2.0.0-0jessie) jessie; urgency=high

  * Updated README
  * Add badges
  * Default true for enableBatchPublishing()
  * Renamed convertXYZRPY() to convertFromXYZRPY()
  * Changed roll pitch yall convention (fix)
  * Added preliminary unit tests
  * Hide include dependencies
  * New convertToXYZRPY function
  * Decrease wait time for topics to subscribe
  * New publishSphere and publishArrow functions
  * Added new thread safe pose conversion function
  * Auto format with clang
  * New publishSphere with frame_id function
  * New print transform functions
  * Fixed RPY error
  * New convert Affine3d to roll pitch yaw function
  * New tf_visual_tools functionality to help debug transforms
  * New parameter server isEnabled feature
  * Add id for wireframe cuboids
  * Namespaced publishWireframeCuboid
  * Helper function for publishAxisLabeled
  * New getBoolMap() function
  * New convertXYZRPY() function
  * Fix warnings
  * Fixed yellow
  * Fix internal publish bug
  * Check for empty parameter
  * New delayed publishing internal mode
  * added publishCuboid function for Eigen::Affine3d
  * New string vector param reading
  * added publishCuboid function for Eigen::Affine3d
  * Show whole param path
  * Added publish plane and cone
  * Renamed to publishAxisLabled()
  * New publishWireframeRectangle function
  * Fixed publishZArrow direction
  * New publishAxisWithLabel() function
  * Removed mute functionality
  * New publishWireframeRectangle() function
  * Improved memory reuse by utilizing member variables for conversion functions
  * Fixed ordering of functions in file
  * Added alpha values to fix planning scene visualization
  * Add WireframCuboid function to show oriented bounding boxes as computed ...
  * Made more function parameters passed by reference
  * Add color to wireframe
  * Add WireframCuboid function to show oriented bounding boxes as computed from PCL.
  * New generateRandomCuboid() function
  * Fixed formatting, added a PoseStamped version to publish[X|Y|Z]Arrow() functions
  * publishMesh() now has optional ID specification
  * Fixed generateRandomPose() bug
  * Added Eigen version of generateRandomPose()
  * changed floats to double in random pose struct, added publish block function to take pose
  * Updated rviz_visual_tools API
  * Deprecated publishRectangle() in favor of publishCuboid()
  * Added cyan and magenta
  * Added maintainer
  * Removed random pose bounds member variable in favor of using a funciton parameter
  * Added publish arrow functions
  * Added dark grey color
  * New publishLine function takes two Vector3's
  * added functionality to change bounds of random pose
  * New publishArrow function that allows stamped pose for arbitrary parent frames
  * added ArrayXXf to hold bounds on random pose
  * new publishLine function takes two Vector3's
  * Made yellow brighter
  * added marker array to rviz and modified generate random pose to give actual random pose
  * New publishArrow() functions
  * New batch publishing method - allows markers to be published in batches to reduce ROS messages being published
  * added method for displaying cuboids
  * added a clear overlay
  * New publishMesh function
  * Added Brown, Pink, and Lime Green colors
  * Copyright year
  * Contributors: Dave Coleman, Andy McEvoy, Jorge Canardo Alastuey

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 07:00:00 -0000

ros-kinetic-rviz-visual-tools (1.5.0-0jessie) jessie; urgency=high

  * New publishLine function
  * New publishText() function with Eigen pose
  * New publishAxis() feature
  * New publishRectangle() functions
  * New publishCylinder() functions
  * New convertPoint() functions
  * API: Renamed publishTest() to publishTests()
  * Fix CMakeLists
  * API Break: Change TRANSLUCENT2 to TRANSLUCENT_LIGHT
  * New convertPoint() function
  * New DEFAULT color to allow color selection to be disabled
  * Fix install space
  * Fix for publishRectangle() - zero scale size
  * Added new size const values
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 07 Jan 2015 07:00:00 -0000

ros-kinetic-rviz-visual-tools (1.4.0-0jessie) jessie; urgency=high

  * Renamed VisualTools to RvizVisualTools
  * Removed unnecessary dependency
  * Bugfix
  * Reduced debug output
  * New waitForSubscriber() function that checks for first subscriber to a publisher
  * New generateEmptyPose() function helper
  * Consolidated publishing rviz messages to central publishMarker() function
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 31 Oct 2014 06:00:00 -0000

ros-kinetic-rviz-visual-tools (1.3.1-0jessie) jessie; urgency=high

  * Added new publishSpheres function
  * Renamed rviz_colors to colors and rviz_scales to scales
  * Initial commit, forked from moveit_visual_tools
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 27 Oct 2014 06:00:00 -0000


